

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

body {
    overflow-x: hidden;
    background-color: #F8F8F8;
}

nav {
    display: flex;
    justify-content: space-around;
    align-items: center;
    min-height: 12vh;
    font-family: 'Poppins';
    background-color: #3E4E50;
}

p {
    font-family: 'Poppins';
}

.logo {
    color: #f8f8f8;
    text-transform: uppercase;
    letter-spacing: 5px;
    font-size: 22px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1em;
    border-bottom: 1px solid #D5A021;
}

.logo img {
    width: 40px;
    height: 40px;
}

.logo a {
    text-decoration: none;
    color: #f8f8f8;
}

.logo-name {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.1em;
}

.logo p {
    font-size: 14px;
    letter-spacing: 2px;
}

.nav-links {
    display: flex;
    justify-content: space-around;
    gap: 2rem;
}

.nav-links li:nth-of-type(6) {
    background-color: #D5A021;
    border-radius: 35px;
    padding: 1rem 1.2rem;
}

.nav-links li:nth-of-type(6):hover {
    opacity: 0.8;
}

.nav-links li {
    list-style: none;
    cursor: pointer;
    padding: 1rem 1.5rem;
    transition: 0.3s;
    background-color: #3E4E50;
    position: relative;
}

.nav-links li .under-line {
    width: 100%;
    height: 1px;
    background-color: #D5A021;
    position: absolute;
    left: 0px;
    bottom: 0px;
    display: none;
} 

.nav-links li:hover .under-line {
    display: block;
}

.nav-links a {
    text-decoration: none;
    color: #F8F8F8;
    letter-spacing: 3px;
    font-weight: bold;
}

.sub-menu {
    display: block;
    position: absolute;
    background-color: #3E4E50;
    padding: 10px;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    display: none;
    top: 56px;
}

.sub-menu-button {
    position: relative;
}

.caret {
    position: absolute;
    right: 5px;
    top: 25px;
}

#for-small-menu {
    display: none;
}

.sub-menu-button:hover .sub-menu {
    display: block;
}

.sub-menu li {
    width: 180px;
    border-radius: 1px;
    transition: 0.3s;
    padding: 1rem 1rem;
    cursor: pointer;
    position: relative;
    
}

.sub-menu li .under-line {
    width: 100%;
    height: 1px;
    background-color: #D5A021;
    position: absolute;
    left: 0px;
    bottom: 0px;
    display: none;
} 

.sub-menu li:hover .under-line {
    display: block;
}

.caret {
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 6px solid #F8F8F8;
}

.burger {
    display: none;
}

.burger div {
    width: 25px;
    height: 3px;
    background-color: #D5A021;
    margin: 5px;
    transition: all 0.3s ease;
}

.container {
    display: flex;
    justify-content: center;
    gap: 5em;
    padding: 5em;
    overflow-x: hidden;
}

.contact-container-first {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    max-width: 600px;
}

.contact-container {
    display: flex;
    align-items: center;
    width: 100%;
    flex-direction: column;
}

.contact-left-title {
    margin-bottom: 50px;
}

.contact-left-title h2 {
    font-weight: 400;
    color: #3E4E50;
    font-family: 'poppins';
    line-height: 30px;
    margin-bottom: 20px;
}

.contact-left-title h4 {

    font-family: 'poppins';
    font-weight: 600;
    color: #3E4E50;

}

.first-form {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1em;
    flex-flow: column;
    width: 100%;
    
}

.fa-envelope {
    color: #F8F8F8;
}

.form-group {
    position: relative;
    margin: 12px 0;
    width: 100%;
    
}

.form-group input {
    padding: 8px 10px;
    font-size: 16px;
    border-radius: 5px;
    border: 2px solid rgba(0, 0, 0, 0.1);
    background-color: transparent;
    color: #3E4E50;
    transition: 0.15s all ease;
    

}

.form-group input::placeholder {
    color: transparent;
}

.form-group .form-label {
    position: absolute;
    top: 12px;
    left: 0;
    font-size: 14px;
    font-family: 'poppins';
    opacity: 0.7;
    padding: 0 10px;
    color: #3E4E50;
    pointer-events: none;
    transition: 0.15s all ease;

 
}

.form-group input:focus {
    border: 2px solid #3E4E50;
}

.form-group input:focus + .form-label,
.form-group input:not(:placeholder-shown) + .form-label {
    transform: translate(10px, -21px);
    background-color: #f8f8f8;
    font-size: 13px;
    color: #3E4E50;
    opacity: 1;
}

input #phone {
    width: 100%;
}

#phone::placeholder {
    color: #3E4E50;
    font-size: 14px;
    opacity: 0.7;
}

input{
    width: 100%;
    border: 2px solid rgba(0, 0, 0, 0.1);
    outline: none;
    padding: 10px;
    color: #3E4E50;
    border-radius: 5px;
    background: transparent;
    font-size: 16px;
    color: #3E4E50;
    font-family: 'poppins';
    
}

#textarea {
    border-radius: 5px;
    border: 2px solid rgba(0, 0, 0, 0.1);
    padding: 10px;
    font-family: 'poppins';
    font-size: 14px;
    opacity: 0.7;
    height: 150px;
    width: 100%;
    background-color: #F8F8F8;
}

#textarea::placeholder {
    color: #3E4E50;
    opacity: 1;
}

.privacy-policy-check {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    margin-bottom: 25px;
    gap: 1em;
    
}

.privacy-policy-check input {
    height: 1.5em;
    width: 1.5em;
    cursor: pointer;
}

.privacy-policy-check p {
    font-size: 14px;
}

.button-container {
    display: flex;
    justify-content: flex-start;
    width: 100%;
}



.first-form button {
    display: flex;
    align-items: center;
    padding: 15px 30px;
    font-size: 16px;
    color: #f8f8f8;
    background-color: #3E4E50;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3);
    border: none;
    border-radius: 50px;
    cursor: pointer;
    position: relative;
    width: 135px;
}

.first-form button img {
    position: absolute;
    height: 20px;
    right: 25px;
}

.container-right {
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 600px;
}


.box {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border: 2px solid rgba(0, 0, 0, 0.1);
    gap: 2em;
    padding: 15px;
    aspect-ratio: 7/8;
    border-radius: 5px;
    max-width: 500px;
    min-width: 350px;
    position: sticky;
    top: 100px;
}

.box p {
    color: #3E4E50;
}

.box img {
    height: 300px;
    width: 100%;
}

.box button {
    background-color: #3E4E50;
    color: #f8f8f8;
    text-decoration: none;
    padding: 1rem 1.5rem;
    border-radius: 25px;
    border: none;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3);
    font-family: 'poppins';
    cursor: pointer;
}


@media (max-width:868px) {

    .container {
    flex-direction: column;
    align-items: center;
}

}




footer {
    width: 100%;
    background-color: #3E4E50;
    padding: 100px;
    border-top-left-radius: 125px;
    font-size: 13px;
    line-height: 20px;
}

footer p {
    color: #f8f8f8;
}

footer h4 {
    color: #f8f8f8;
}

.row {
    width: 85%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
}

.col {
    flex-basis: 30%;
    padding: 10px;
}

.col:nth-child(2), .col:nth-child(3) {
    flex-basis: 15%;
}


.logo2 img{
    height: 45px;
    width: 45px;
 }

.col h3 {
    width: fit-content;
    margin-bottom: 40px;
    position: relative;
    color: #F8F8F8;
    font-family: 'poppins';
}

.email-id {
    width: fit-content;
    border-bottom: 1px solid #f8f8f8;
    margin: 20px 0;
}

.footer-lists li {
    list-style: none;
    margin-bottom: 12px;
}

.footer-lists li a {
    text-decoration: none;
    color: #f8f8f8;
    font-family: 'poppins';
}

.email-form {
    padding-bottom: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: #F8F8F8 1px solid;
    margin-bottom: 10px;
}

.email-form .fa {
    font-size: 18px;
    margin-right: 10px;
}

.email-input {
    width: 100%;
    background: transparent;
    color: #f8f8f8;
    border: 0;
    outline: none;
    font-size: 12px;
}

.email-form button {
    background: transparent;
    border: 0;
    outline: none;
    cursor: pointer;
}

.email-form button .fa-solid {
    font-size: 16px;
    color: #f8f8f8;
}

.privacy {
    margin-bottom: 10px;
}

.privacy p{
    font-size: 11px;
}

.privacy a {
    color: #f8f8f8;
    margin-left: 5px;
}

.social-icons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 250px;
    min-width: 220px;
}

.social-icons .fa-brands {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    text-align: center;
    line-height: 40px;
    font-size: 20px;
    color: #3E4E50;
    background: #f8f8f8;
    margin-right: 15px;
    cursor: pointer;
}

hr {
    width: 90%;
    border: 0;
    border-bottom: 1px solid #D5A021;
    margin: 20px auto;
}

.copyright {
    text-align: center;
}

.copyright a {
    color: #f8f8f8;
    text-decoration: none;
    font-family: 'poppins';
}

.underline {
    width: 100%;
    height: 5px;
    background: #D5A021;
    border-radius: 3px;
    position: absolute;
    top: 25px;
    left: 0;
    overflow: hidden;

}

.underline span {
    width: 15px;
    height: 100%;
    background: #f8f8f8;
    border-radius: 3px;
    position: absolute;
    top: 0;
    left: 10px;
    animation: moving 2s linear infinite;
}

@keyframes moving {
    0%{
        left: -20px;
    }
    100%{
        left: 100%;
    }
}

@media (max-width: 978px) {
    .nav-links {
        gap: 0.5em;
    }
}



@media screen and (max-width: 786px ) {
    .nav-links {
        gap: 0;
    }
    

    .nav-links a {
        font-size: 12px;
    }

    
    .col {
        flex-basis: 100%;
        min-width: 150px;
    }

}


@media screen and (max-width: 620px) {

    footer {
        padding: 50px;
    }

  
    
}

@media screen and (max-width: 720px) {

    nav {
        position: fixed;
        width: 100%;
        z-index: 111;
        top: 0;
    }

    .nav-links {
        position: fixed;
        right: 0;
        height: 88vh;
        top: 12vh;
        background-color: #3E4E50;
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        transform: translateX(100%);
        transition: transform 0.5s ease-in;
        z-index: 100;
    }
    

    .nav-links li {
        opacity: 0;
    }

    .burger {
        display: block;
        cursor: pointer;
        
    }
    .sub-menu-button {
        display: none;
    }
    
    #for-small-menu {
        display: block;
    }

    .container {
        padding: 150px 25px;
    }
    footer {
        padding: 50px;
    }
}











@media screen and (max-width: 480px) {
    

    .nav-links li {
        opacity: 0;
    }

    .contact-inputs {
        width: 80vw;
    }

}








.nav-active {
    transform: translateX(0%);
}

@keyframes navLinkFade {
    from {
        opacity: 0;
        transform: translateX(50px);
    }
    to{
        opacity: 1;
        transform: translateX(0px);
    }
}

.toggle .line1 {
    transform: rotate(-45deg) translate(-5px, 6px);
}
.toggle .line2 {
    opacity: 0;
}
.toggle .line3 {
    transform: rotate(45deg) translate(-5px, -6px);

}

